IB*2.0*529
Extracted from mail message
**KIDS**:IB*2.0*529^

**INSTALL NAME**
IB*2.0*529
"BLD",9192,0)
IB*2.0*529^INTEGRATED BILLING^0^3151112^y
"BLD",9192,1,0)
^^44^44^3150717^
"BLD",9192,1,1,0)
The Medical ePayments Compliance (Phase 2, Iteration 2) project ensures 
"BLD",9192,1,2,0)
the Veterans Administrations (VA) compliance with Electronic Funds
"BLD",9192,1,3,0)
Transfer (EFT) & Electronic Remittance Advice (ERA) Operating Rules and
"BLD",9192,1,4,0)
enables VA to more effectively use ERA data, resulting in better revenue
"BLD",9192,1,5,0)
and cash flow management; provides the infrastructure foundation for
"BLD",9192,1,6,0)
electronic exchange of claim payment information and promotes an
"BLD",9192,1,7,0)
interoperable system; reduces the time elapsed between receipt of the
"BLD",9192,1,8,0)
Electronic Data Interchange (EDI) 835 Electronic Remittance Advice
"BLD",9192,1,9,0)
Transaction and receipt of the Cash Concentration or Disbursement (CCD+)
"BLD",9192,1,10,0)
transaction; ensures that trace numbers between payments and remittances
"BLD",9192,1,11,0)
can be used by VA, reducing the level of open accounts receivable and
"BLD",9192,1,12,0)
allowing claim denials to be more quickly addressed; and standardizes 
"BLD",9192,1,13,0)
Electronic Funds Transfer (EFT) & ERA enrollment, reducing workload burden
"BLD",9192,1,14,0)
on VA staff.
"BLD",9192,1,15,0)
 
"BLD",9192,1,16,0)
This patch contains changes to the ePayments (835 and EFT) program area 
"BLD",9192,1,17,0)
to ensure compliance. Specifically, enhancements to the Veterans 
"BLD",9192,1,18,0)
Health Information Systems and Technology Architecture (VistA) Third Party
"BLD",9192,1,19,0)
EDI Lockbox module to increase timely and accurate processing of payments
"BLD",9192,1,20,0)
for electronic pharmacy claims in compliance with Health Insurance
"BLD",9192,1,21,0)
Portability and Accountability Act (HIPAA) and Veterans Health
"BLD",9192,1,22,0)
Administration (VHA) Fiscal Accounting policies will also be required.  
"BLD",9192,1,23,0)
The ePayments system is used by Accounts Receivable (AR) staff to process
"BLD",9192,1,24,0)
payments from third party payers for both medical and pharmacy claims. The
"BLD",9192,1,25,0)
objectives of the requested ePayments software modifications are to
"BLD",9192,1,26,0)
expedite accurate payments by enhancing the ePayments software to
"BLD",9192,1,27,0)
streamline the user's ability to process the pharmacy 835 while:
"BLD",9192,1,28,0)
 
"BLD",9192,1,29,0)
Complying with HIPAA legislative requirements to meet patient 
"BLD",9192,1,30,0)
needs and secure Protected Health Information (PHI).
"BLD",9192,1,31,0)
 
"BLD",9192,1,32,0)
Conducting payment accounting in accordance with the Office of 
"BLD",9192,1,33,0)
Management and Budget (OMB) directives.
"BLD",9192,1,34,0)
 
"BLD",9192,1,35,0)
Systematically enforcing VHA Fiscal Accounting policy.
"BLD",9192,1,36,0)
 
"BLD",9192,1,37,0)
This patch adds the following:
"BLD",9192,1,38,0)
  - Modifies the Insurance Payment Trend Report to accurately identify
"BLD",9192,1,39,0)
    Insurance Companies listed on the report by including their Tax 
"BLD",9192,1,40,0)
    Identification Number.
"BLD",9192,1,41,0)
  - Modifies the Insurance Payment Trend Report to identify
"BLD",9192,1,42,0)
    whether a patient's claim has an ERA attached to it.
"BLD",9192,1,43,0)
  - Adds an Index to the EDI TRANSMISSION BATCH file to allow for easier
"BLD",9192,1,44,0)
    searches
"BLD",9192,4,0)
^9.64PA^364.1^1
"BLD",9192,4,364.1,0)
364.1
"BLD",9192,4,364.1,2,0)
^9.641^364.1^1
"BLD",9192,4,364.1,2,364.1,0)
EDI TRANSMISSION BATCH  (File-top level)
"BLD",9192,4,364.1,2,364.1,1,0)
^9.6411^1.01^1
"BLD",9192,4,364.1,2,364.1,1,1.01,0)
DATE FIRST SENT
"BLD",9192,4,364.1,222)
y^y^p^^^^n^^n
"BLD",9192,4,364.1,224)

"BLD",9192,4,"APDD",364.1,364.1)

"BLD",9192,4,"APDD",364.1,364.1,1.01)

"BLD",9192,4,"B",364.1,364.1)

"BLD",9192,6.3)
33
"BLD",9192,"ABPKG")
n
"BLD",9192,"INIT")
POST^IB20P529
"BLD",9192,"KRN",0)
^9.67PA^779.2^20
"BLD",9192,"KRN",.4,0)
.4
"BLD",9192,"KRN",.401,0)
.401
"BLD",9192,"KRN",.402,0)
.402
"BLD",9192,"KRN",.403,0)
.403
"BLD",9192,"KRN",.5,0)
.5
"BLD",9192,"KRN",.84,0)
.84
"BLD",9192,"KRN",3.6,0)
3.6
"BLD",9192,"KRN",3.8,0)
3.8
"BLD",9192,"KRN",9.2,0)
9.2
"BLD",9192,"KRN",9.8,0)
9.8
"BLD",9192,"KRN",9.8,"NM",0)
^9.68A^4^3
"BLD",9192,"KRN",9.8,"NM",2,0)
IBOTR2^^0^B26133576
"BLD",9192,"KRN",9.8,"NM",3,0)
IBOTR3^^0^B51512170
"BLD",9192,"KRN",9.8,"NM",4,0)
IB20P529^^0^B1869566
"BLD",9192,"KRN",9.8,"NM","B","IB20P529",4)

"BLD",9192,"KRN",9.8,"NM","B","IBOTR2",2)

"BLD",9192,"KRN",9.8,"NM","B","IBOTR3",3)

"BLD",9192,"KRN",19,0)
19
"BLD",9192,"KRN",19.1,0)
19.1
"BLD",9192,"KRN",101,0)
101
"BLD",9192,"KRN",409.61,0)
409.61
"BLD",9192,"KRN",771,0)
771
"BLD",9192,"KRN",779.2,0)
779.2
"BLD",9192,"KRN",870,0)
870
"BLD",9192,"KRN",8989.51,0)
8989.51
"BLD",9192,"KRN",8989.52,0)
8989.52
"BLD",9192,"KRN",8994,0)
8994
"BLD",9192,"KRN","B",.4,.4)

"BLD",9192,"KRN","B",.401,.401)

"BLD",9192,"KRN","B",.402,.402)

"BLD",9192,"KRN","B",.403,.403)

"BLD",9192,"KRN","B",.5,.5)

"BLD",9192,"KRN","B",.84,.84)

"BLD",9192,"KRN","B",3.6,3.6)

"BLD",9192,"KRN","B",3.8,3.8)

"BLD",9192,"KRN","B",9.2,9.2)

"BLD",9192,"KRN","B",9.8,9.8)

"BLD",9192,"KRN","B",19,19)

"BLD",9192,"KRN","B",19.1,19.1)

"BLD",9192,"KRN","B",101,101)

"BLD",9192,"KRN","B",409.61,409.61)

"BLD",9192,"KRN","B",771,771)

"BLD",9192,"KRN","B",779.2,779.2)

"BLD",9192,"KRN","B",870,870)

"BLD",9192,"KRN","B",8989.51,8989.51)

"BLD",9192,"KRN","B",8989.52,8989.52)

"BLD",9192,"KRN","B",8994,8994)

"BLD",9192,"QDEF")
^^^^NO^^^^NO^^NO
"BLD",9192,"QUES",0)
^9.62^^
"BLD",9192,"REQB",0)
^9.611^4^1
"BLD",9192,"REQB",4,0)
IB*2.0*516^1
"BLD",9192,"REQB","B","IB*2.0*516",4)

"FIA",364.1)
EDI TRANSMISSION BATCH
"FIA",364.1,0)
^IBA(364.1,
"FIA",364.1,0,0)
364.1I
"FIA",364.1,0,1)
y^y^p^^^^n^^n
"FIA",364.1,0,10)

"FIA",364.1,0,11)

"FIA",364.1,0,"RLRO")

"FIA",364.1,0,"VR")
2.0^IB
"FIA",364.1,364.1)
1
"FIA",364.1,364.1,1.01)

"INIT")
POST^IB20P529
"MBREQ")
0
"PKG",49,-1)
1^1
"PKG",49,0)
INTEGRATED BILLING^IB^INTEGRATED BILLING
"PKG",49,20,0)
^9.402P^1^1
"PKG",49,20,1,0)
2^^IBAXDR
"PKG",49,20,1,1)

"PKG",49,20,"B",2,1)

"PKG",49,22,0)
^9.49I^1^1
"PKG",49,22,1,0)
2.0^2940321^2960627
"PKG",49,22,1,"PAH",1,0)
529^3151112^123457044
"PKG",49,22,1,"PAH",1,1,0)
^^44^44^3151112
"PKG",49,22,1,"PAH",1,1,1,0)
The Medical ePayments Compliance (Phase 2, Iteration 2) project ensures 
"PKG",49,22,1,"PAH",1,1,2,0)
the Veterans Administrations (VA) compliance with Electronic Funds
"PKG",49,22,1,"PAH",1,1,3,0)
Transfer (EFT) & Electronic Remittance Advice (ERA) Operating Rules and
"PKG",49,22,1,"PAH",1,1,4,0)
enables VA to more effectively use ERA data, resulting in better revenue
"PKG",49,22,1,"PAH",1,1,5,0)
and cash flow management; provides the infrastructure foundation for
"PKG",49,22,1,"PAH",1,1,6,0)
electronic exchange of claim payment information and promotes an
"PKG",49,22,1,"PAH",1,1,7,0)
interoperable system; reduces the time elapsed between receipt of the
"PKG",49,22,1,"PAH",1,1,8,0)
Electronic Data Interchange (EDI) 835 Electronic Remittance Advice
"PKG",49,22,1,"PAH",1,1,9,0)
Transaction and receipt of the Cash Concentration or Disbursement (CCD+)
"PKG",49,22,1,"PAH",1,1,10,0)
transaction; ensures that trace numbers between payments and remittances
"PKG",49,22,1,"PAH",1,1,11,0)
can be used by VA, reducing the level of open accounts receivable and
"PKG",49,22,1,"PAH",1,1,12,0)
allowing claim denials to be more quickly addressed; and standardizes 
"PKG",49,22,1,"PAH",1,1,13,0)
Electronic Funds Transfer (EFT) & ERA enrollment, reducing workload burden
"PKG",49,22,1,"PAH",1,1,14,0)
on VA staff.
"PKG",49,22,1,"PAH",1,1,15,0)
 
"PKG",49,22,1,"PAH",1,1,16,0)
This patch contains changes to the ePayments (835 and EFT) program area 
"PKG",49,22,1,"PAH",1,1,17,0)
to ensure compliance. Specifically, enhancements to the Veterans 
"PKG",49,22,1,"PAH",1,1,18,0)
Health Information Systems and Technology Architecture (VistA) Third Party
"PKG",49,22,1,"PAH",1,1,19,0)
EDI Lockbox module to increase timely and accurate processing of payments
"PKG",49,22,1,"PAH",1,1,20,0)
for electronic pharmacy claims in compliance with Health Insurance
"PKG",49,22,1,"PAH",1,1,21,0)
Portability and Accountability Act (HIPAA) and Veterans Health
"PKG",49,22,1,"PAH",1,1,22,0)
Administration (VHA) Fiscal Accounting policies will also be required.  
"PKG",49,22,1,"PAH",1,1,23,0)
The ePayments system is used by Accounts Receivable (AR) staff to process
"PKG",49,22,1,"PAH",1,1,24,0)
payments from third party payers for both medical and pharmacy claims. The
"PKG",49,22,1,"PAH",1,1,25,0)
objectives of the requested ePayments software modifications are to
"PKG",49,22,1,"PAH",1,1,26,0)
expedite accurate payments by enhancing the ePayments software to
"PKG",49,22,1,"PAH",1,1,27,0)
streamline the user's ability to process the pharmacy 835 while:
"PKG",49,22,1,"PAH",1,1,28,0)
 
"PKG",49,22,1,"PAH",1,1,29,0)
Complying with HIPAA legislative requirements to meet patient 
"PKG",49,22,1,"PAH",1,1,30,0)
needs and secure Protected Health Information (PHI).
"PKG",49,22,1,"PAH",1,1,31,0)
 
"PKG",49,22,1,"PAH",1,1,32,0)
Conducting payment accounting in accordance with the Office of 
"PKG",49,22,1,"PAH",1,1,33,0)
Management and Budget (OMB) directives.
"PKG",49,22,1,"PAH",1,1,34,0)
 
"PKG",49,22,1,"PAH",1,1,35,0)
Systematically enforcing VHA Fiscal Accounting policy.
"PKG",49,22,1,"PAH",1,1,36,0)
 
"PKG",49,22,1,"PAH",1,1,37,0)
This patch adds the following:
"PKG",49,22,1,"PAH",1,1,38,0)
  - Modifies the Insurance Payment Trend Report to accurately identify
"PKG",49,22,1,"PAH",1,1,39,0)
    Insurance Companies listed on the report by including their Tax 
"PKG",49,22,1,"PAH",1,1,40,0)
    Identification Number.
"PKG",49,22,1,"PAH",1,1,41,0)
  - Modifies the Insurance Payment Trend Report to identify
"PKG",49,22,1,"PAH",1,1,42,0)
    whether a patient's claim has an ERA attached to it.
"PKG",49,22,1,"PAH",1,1,43,0)
  - Adds an Index to the EDI TRANSMISSION BATCH file to allow for easier
"PKG",49,22,1,"PAH",1,1,44,0)
    searches
"QUES","XPF1",0)
Y
"QUES","XPF1","??")
^D REP^XPDH
"QUES","XPF1","A")
Shall I write over your |FLAG| File
"QUES","XPF1","B")
YES
"QUES","XPF1","M")
D XPF1^XPDIQ
"QUES","XPF2",0)
Y
"QUES","XPF2","??")
^D DTA^XPDH
"QUES","XPF2","A")
Want my data |FLAG| yours
"QUES","XPF2","B")
YES
"QUES","XPF2","M")
D XPF2^XPDIQ
"QUES","XPI1",0)
YO
"QUES","XPI1","??")
^D INHIBIT^XPDH
"QUES","XPI1","A")
Want KIDS to INHIBIT LOGONs during the install
"QUES","XPI1","B")
NO
"QUES","XPI1","M")
D XPI1^XPDIQ
"QUES","XPM1",0)
PO^VA(200,:EM
"QUES","XPM1","??")
^D MG^XPDH
"QUES","XPM1","A")
Enter the Coordinator for Mail Group '|FLAG|'
"QUES","XPM1","B")

"QUES","XPM1","M")
D XPM1^XPDIQ
"QUES","XPO1",0)
Y
"QUES","XPO1","??")
^D MENU^XPDH
"QUES","XPO1","A")
Want KIDS to Rebuild Menu Trees Upon Completion of Install
"QUES","XPO1","B")
NO
"QUES","XPO1","M")
D XPO1^XPDIQ
"QUES","XPZ1",0)
Y
"QUES","XPZ1","??")
^D OPT^XPDH
"QUES","XPZ1","A")
Want to DISABLE Scheduled Options, Menu Options, and Protocols
"QUES","XPZ1","B")
NO
"QUES","XPZ1","M")
D XPZ1^XPDIQ
"QUES","XPZ2",0)
Y
"QUES","XPZ2","??")
^D RTN^XPDH
"QUES","XPZ2","A")
Want to MOVE routines to other CPUs
"QUES","XPZ2","B")
NO
"QUES","XPZ2","M")
D XPZ2^XPDIQ
"RTN")
3
"RTN","IB20P529")
0^4^B1869566
"RTN","IB20P529",1,0)
IB20P529 ;ALB/SAB - POST-INSTALL IB*2.0*529 ;15-JUL-15
"RTN","IB20P529",2,0)
 ;;2.0;INTEGRATED BILLING;**529**;15-JUL-94;Build 33
"RTN","IB20P529",3,0)
 ;Per VHA Directive 6402, this routine should not be modified.
"RTN","IB20P529",4,0)
 ;
"RTN","IB20P529",5,0)
 Q
"RTN","IB20P529",6,0)
 ;
"RTN","IB20P529",7,0)
POST ;This will reindex 364.1 for the updated indexes
"RTN","IB20P529",8,0)
 N ERROR
"RTN","IB20P529",9,0)
 ;
"RTN","IB20P529",10,0)
 D BMES^XPDUTL(" Post-install for IB*2.0*529 Starting.")
"RTN","IB20P529",11,0)
 ;
"RTN","IB20P529",12,0)
 D REINDX   ; Re-index the new FDATE array for 364.1,1.01
"RTN","IB20P529",13,0)
 ;
"RTN","IB20P529",14,0)
 D BMES^XPDUTL(" Post-install for IB*2.0*529 Complete.")
"RTN","IB20P529",15,0)
 ;
"RTN","IB20P529",16,0)
 Q
"RTN","IB20P529",17,0)
 ;
"RTN","IB20P529",18,0)
REINDX ;
"RTN","IB20P529",19,0)
 ;
"RTN","IB20P529",20,0)
 N DIK,DA
"RTN","IB20P529",21,0)
 ; index DATE FIRST SENT field in the EDI TRANSMISSION BATCH file
"RTN","IB20P529",22,0)
 D MES^XPDUTL("      >> Removing old ""FDATE"" xref for file 364.1 ...")
"RTN","IB20P529",23,0)
 K ^IBA(364.1,"FDATE") ; clear old index if it exists
"RTN","IB20P529",24,0)
 D MES^XPDUTL("      >> Rebuilding ""FDATE"" xref for file 364.1 ...")
"RTN","IB20P529",25,0)
 S DIK(1)="1.01^FDATE",DIK="^IBA(364.1," D ENALL^DIK
"RTN","IB20P529",26,0)
 D MES^XPDUTL("      >> Completed Rebuilding ""FDATE"" xref for file 364.1 ...")
"RTN","IB20P529",27,0)
 Q
"RTN","IB20P529",28,0)
 ;
"RTN","IBOTR2")
0^2^B26133576
"RTN","IBOTR2",1,0)
IBOTR2 ;ALB/CPM - INSURANCE PAYMENT TREND REPORT - COMPILATION ;5-JUN-91
"RTN","IBOTR2",2,0)
 ;;2.0;INTEGRATED BILLING;**21,42,52,80,100,118,128,451,447,529**;21-MAR-94;Build 33
"RTN","IBOTR2",3,0)
 ;;Per VHA Directive 6402, this routine should not be modified.
"RTN","IBOTR2",4,0)
 ;
"RTN","IBOTR2",5,0)
 ;MAP TO DGCROTR2
"RTN","IBOTR2",6,0)
 ;
"RTN","IBOTR2",7,0)
 ;***
"RTN","IBOTR2",8,0)
 ;S XRTL=$ZU(0),XRTN="IBOTR-2" D T0^%ZOSV ;start rt clock
"RTN","IBOTR2",9,0)
 ;
"RTN","IBOTR2",10,0)
 I $G(IBXTRACT) D E^IBJDE(8,1) ; Change extract status.
"RTN","IBOTR2",11,0)
 ;
"RTN","IBOTR2",12,0)
 K ^TMP($J) S IBQUIT=0
"RTN","IBOTR2",13,0)
 S IBDA="" F  S IBDA=$O(^DGCR(399,"AD",IBRT,IBDA)) Q:'IBDA  D  Q:IBQUIT
"RTN","IBOTR2",14,0)
 .D COMP I IBDA#100=0 S IBQUIT=$$STOP^IBOUTL("Trend Report")
"RTN","IBOTR2",15,0)
 ;
"RTN","IBOTR2",16,0)
 ; - Write the output report.
"RTN","IBOTR2",17,0)
 I 'IBQUIT D
"RTN","IBOTR2",18,0)
 .I 'IBSDIV D:"OP"[IBSORT SORT D EN^IBOTR3(0) Q
"RTN","IBOTR2",19,0)
 .S IBDIV=0 F  S IBDIV=$S('VAUTD:$O(VAUTD(IBDIV)),1:$O(^DG(40.8,IBDIV))) Q:'IBDIV  D:"OP"[IBSORT SORT D EN^IBOTR3(IBDIV) Q:IBQUIT
"RTN","IBOTR2",20,0)
 ;
"RTN","IBOTR2",21,0)
 ;***
"RTN","IBOTR2",22,0)
 ;I $D(XRT0) S:'$D(XRTN) XRTN="IBOTR2" D T1^%ZOSV ;stop rt clock
"RTN","IBOTR2",23,0)
ENQ I $D(ZTQUEUED) S ZTREQ="@" Q
"RTN","IBOTR2",24,0)
 K IB,IBAO,IBAP,IBCNT,IBDA,DFN,IBBC,DIC,DA,DR,DIQ,IBDP,IBDBC,IBSCF,IBSCT
"RTN","IBOTR2",25,0)
 K IBCFL,IBDIV,IBQUIT,IBEVT,IBPTIN,^TMP($J) D ^%ZISC
"RTN","IBOTR2",26,0)
 Q
"RTN","IBOTR2",27,0)
 ;
"RTN","IBOTR2",28,0)
COMP ; - Compile Bill-Accounts Receivable records for report.
"RTN","IBOTR2",29,0)
 S IBD=$G(^DGCR(399,IBDA,0)) I IBD="" Q
"RTN","IBOTR2",30,0)
 ;
"RTN","IBOTR2",31,0)
 ; - Get division, if necessary.
"RTN","IBOTR2",32,0)
 I 'IBSDIV S IBDIV=0
"RTN","IBOTR2",33,0)
 E  S IBDIV=$$DIV^IBJDF2(IBDA) I 'IBDIV S IBDIV=+$$PRIM^VASITE()
"RTN","IBOTR2",34,0)
 I IBSDIV,'VAUTD,'$D(VAUTD(IBDIV)) Q  ;  Not a selected division.
"RTN","IBOTR2",35,0)
 ;
"RTN","IBOTR2",36,0)
 ; - Exclude receivables referred to Regional Counsel, if necessary.
"RTN","IBOTR2",37,0)
 I 'IBINRC,$P($G(^PRCA(430,IBDA,6)),U,4) Q
"RTN","IBOTR2",38,0)
 ;
"RTN","IBOTR2",39,0)
 ; IB*2.0*451 - get EEOB indicator '%' for bill
"RTN","IBOTR2",40,0)
 S IBPFLAG=$$EEOB^IBOA31(IBDA) ; get 1st/3rd party payment when applicable
"RTN","IBOTR2",41,0)
 ;
"RTN","IBOTR2",42,0)
 S IBBN=$P(IBD,U),DFN=+$P(IBD,U,2),IBEVT=+$P(IBD,U,3),IBBC=$P(IBD,U,5)
"RTN","IBOTR2",43,0)
 S:IBBN="" IBBN="NULL" Q:IBBRT="O"&("12"[IBBC)  Q:IBBRT="I"&("34"[IBBC)
"RTN","IBOTR2",44,0)
 S IBDBC=$$CLO^PRCAFN(IBDA) Q:IBARST="O"&(IBDBC>-2)!(IBARST="C"&(IBDBC<-1))
"RTN","IBOTR2",45,0)
 I IBDBC>0 S IBBN=$G(IBPFLAG)_IBBN_"*" ; add EEOB indicator
"RTN","IBOTR2",46,0)
 E  S IBD=$P($$STA^PRCAFN(IBDA),U,2),IBDBC=$S($L(IBD)>8:$E(IBD,1,8),1:IBD)
"RTN","IBOTR2",47,0)
 I $D(IBBRN),IBBRN="S" S IBBRTY=$S("12"[IBBC:"I",1:"O")
"RTN","IBOTR2",48,0)
 ;
"RTN","IBOTR2",49,0)
 ; - Perform edits for insurance company.
"RTN","IBOTR2",50,0)
 S IBD=$P($G(^DGCR(399,IBDA,"MP")),U),IBINS=$P($G(^DIC(36,+IBD,0)),U)
"RTN","IBOTR2",51,0)
 I $G(IBICPT) Q:'$D(IBICPT(+IBD))  G CANC
"RTN","IBOTR2",52,0)
 I IBICF'="@",IBD="" Q
"RTN","IBOTR2",53,0)
 I $D(IBIC) Q:IBIC="ALL"&(IBD="")  Q:IBIC="NULL"&(IBD]"")
"RTN","IBOTR2",54,0)
 I IBINS="" S IBINS="UNKNOWN" G CANC
"RTN","IBOTR2",55,0)
 I $G(IBIC)="ALL" G CANC
"RTN","IBOTR2",56,0)
 I IBICF="@",IBICL="zzzzz" G CANC
"RTN","IBOTR2",57,0)
 I IBICF]IBINS!(IBINS]IBICL) Q
"RTN","IBOTR2",58,0)
 ;
"RTN","IBOTR2",59,0)
CANC ; - Keep cancelled bills if CANCEL BILL? field was selected or answer
"RTN","IBOTR2",60,0)
 ;   to 'Do you want to include cancelled receivables?' prompt was YES.
"RTN","IBOTR2",61,0)
 S IBCFL=0
"RTN","IBOTR2",62,0)
 ;
"RTN","IBOTR2",63,0)
 ;IB*2.0*529 - add Payer TIN to Insurance name for report output
"RTN","IBOTR2",64,0)
 S IBPTIN=$$PTIN(IBDA)  ; Retrieve Payer TIN
"RTN","IBOTR2",65,0)
 S:IBPTIN="" IBPTIN="UNKNOWN"
"RTN","IBOTR2",66,0)
 S IBINS=IBINS_"~~"_IBPTIN_"@@"_IBD
"RTN","IBOTR2",67,0)
 ;
"RTN","IBOTR2",68,0)
 Q:'$D(^DGCR(399,IBDA,"S"))  S IBD=^("S")
"RTN","IBOTR2",69,0)
 S IBCNC=0 I "^26^39^"[(U_$P($G(^PRCA(430,IBDA,0)),U,8)_U) S IBCNC=1
"RTN","IBOTR2",70,0)
 I $G(IBCANC),($P(IBD,U,16)!(IBCNC)) S IBCFL=1 G PTDE ; Add canc. bill.
"RTN","IBOTR2",71,0)
 I $G(IBAF)'=16 Q:$P(IBD,U,16)!(IBCNC)  ;      Bill has been cancelled.
"RTN","IBOTR2",72,0)
 ;
"RTN","IBOTR2",73,0)
PTDE ; - Perform Printed/Treatment date edits.
"RTN","IBOTR2",74,0)
 S IBDP=$P(IBD,U,12)
"RTN","IBOTR2",75,0)
 I IBDF=1 Q:IBDP<IBBDT!(IBDP>IBEDT)  ;   Date printed is out of range.
"RTN","IBOTR2",76,0)
 S IBD=$G(^DGCR(399,IBDA,"U")),IBSCF=$P(IBD,U),IBSCT=$P(IBD,U,2)
"RTN","IBOTR2",77,0)
 I IBDF=2 Q:IBSCT<IBBDT!(IBSCF>IBEDT)  ; Treatment dates out of range.
"RTN","IBOTR2",78,0)
 I '$D(IBAF) G BUILD
"RTN","IBOTR2",79,0)
 ;
"RTN","IBOTR2",80,0)
 ; - Find the selected field value and compare to selection parameters.
"RTN","IBOTR2",81,0)
 K IB S DIC=399,DA=IBDA,DR=IBAF,DIQ="IB" S:IBAFD DIQ(0)="I"
"RTN","IBOTR2",82,0)
 D EN^DIQ1 K DIQ S:IBAFD IB(399,IBDA,IBAF)=IB(399,IBDA,IBAF,"I")
"RTN","IBOTR2",83,0)
 S IB=$G(IB(399,IBDA,IBAF)) I IB="",IBAFF'="@" Q
"RTN","IBOTR2",84,0)
 I $D(IBAFZ) Q:IBAFZ="ALL"&(IB="")  Q:IBAFZ="NULL"&(IB]"")
"RTN","IBOTR2",85,0)
 I IB=""!($G(IBAFZ)="ALL") G BUILD
"RTN","IBOTR2",86,0)
 I IBAFF="@",IBAFL="" G BUILD
"RTN","IBOTR2",87,0)
 I +IBAFF=IBAFF,+IBAFL=IBAFL Q:IB<IBAFF!(IB>IBAFL)
"RTN","IBOTR2",88,0)
 E  Q:IBAFF]IB!(IB]IBAFL)
"RTN","IBOTR2",89,0)
 ;
"RTN","IBOTR2",90,0)
BUILD ; - Retrieve A/R data and build sort global.
"RTN","IBOTR2",91,0)
 N IBGRP
"RTN","IBOTR2",92,0)
 S IBAO=$$ORI^PRCAFN(IBDA) S:IBAO<0 IBAO=0
"RTN","IBOTR2",93,0)
 S IBAP=$$TPR^PRCAFN(IBDA) S:IBAP<0 IBAP=0
"RTN","IBOTR2",94,0)
 ;
"RTN","IBOTR2",95,0)
 ; Add group number to report P447
"RTN","IBOTR2",96,0)
 S IBGRP=$$POLICY^IBCEF(IBDA,18) S:IBGRP="" IBGRP=0
"RTN","IBOTR2",97,0)
 ;S ^TMP($J,"IBOTR",IBDIV,IBBRTY,IBINS,$$NAMAGE(DFN,IBEVT)_"@@"_IBBN)=U_IBSCF_U_IBSCT_U_IBDP_U_IBDBC_U_IBAO_U_IBAP_U_IBCFL
"RTN","IBOTR2",98,0)
 S ^TMP($J,"IBOTR",IBDIV,IBBRTY,IBINS,IBGRP,$$NAMAGE(DFN,IBEVT)_"@@"_IBBN)=U_IBSCF_U_IBSCT_U_IBDP_U_IBDBC_U_IBAO_U_IBAP_U_IBCFL
"RTN","IBOTR2",99,0)
 I "OP"[IBSORT D
"RTN","IBOTR2",100,0)
 .;S ^TMP($J,"IBOTR",IBDIV,IBBRTY,IBINS)=$G(^TMP($J,"IBOTR",IBDIV,IBBRTY,IBINS))+$S(IBSORT="O":(IBAO-IBAP),1:IBAP)
"RTN","IBOTR2",101,0)
 .S ^TMP($J,"IBOTR",IBDIV,IBBRTY,IBINS,IBGRP)=$G(^TMP($J,"IBOTR",IBDIV,IBBRTY,IBINS))+$S(IBSORT="O":(IBAO-IBAP),1:IBAP)
"RTN","IBOTR2",102,0)
 Q
"RTN","IBOTR2",103,0)
 ;
"RTN","IBOTR2",104,0)
SORT ; - Create sort global based on amount owed/amount paid, if necessary.  Add Group# w/ p447
"RTN","IBOTR2",105,0)
 N IBGRP
"RTN","IBOTR2",106,0)
 ;
"RTN","IBOTR2",107,0)
 I 'IBSDIV S IBDIV=0
"RTN","IBOTR2",108,0)
 S IBX="" F  S IBX=$O(^TMP($J,"IBOTR",IBDIV,IBX)) Q:IBX=""  D
"RTN","IBOTR2",109,0)
 .S IBINS="" F  S IBINS=$O(^TMP($J,"IBOTR",IBDIV,IBX,IBINS)) Q:IBINS=""  D
"RTN","IBOTR2",110,0)
 ..S IBGRP="" F  S IBGRP=$O(^TMP($J,"IBOTR",IBDIV,IBX,IBINS,IBGRP)) Q:IBGRP=""  D
"RTN","IBOTR2",111,0)
 ...;S IBXX=^(IBGRP),^TMP($J,"IBOTRS",IBDIV,IBX,-IBXX,IBINS,IBGRP)=""
"RTN","IBOTR2",112,0)
 ...S IBXX=$G(^TMP($J,"IBOTR",IBDIV,IBX,IBINS,IBGRP)),^TMP($J,"IBOTRS",IBDIV,IBX,-IBXX,IBINS,IBGRP)=""
"RTN","IBOTR2",113,0)
 K IBX,IBXX
"RTN","IBOTR2",114,0)
 Q
"RTN","IBOTR2",115,0)
 ;
"RTN","IBOTR2",116,0)
NAMAGE(DFN,EVT) ; - Return patient name and age.
"RTN","IBOTR2",117,0)
 ;  Input: DFN = Pointer to patient in file #2
"RTN","IBOTR2",118,0)
 ;         EVT = Event Date of claim
"RTN","IBOTR2",119,0)
 ; Output: Patient name (1st 18 chars.)_"("_Age_")"
"RTN","IBOTR2",120,0)
 ; Output after patch 447: Patient name (1st 16 chars.)_"("_Age_")"
"RTN","IBOTR2",121,0)
 N DPT0,X,X1,X2
"RTN","IBOTR2",122,0)
 S DPT0=$G(^DPT(DFN,0)),X2=$P(DPT0,U,3)
"RTN","IBOTR2",123,0)
 I 'X2 S X="UNK"
"RTN","IBOTR2",124,0)
 E  S X1=EVT S:'X1 X1=DT D ^%DTC S X=X\365.25
"RTN","IBOTR2",125,0)
 ;Q $E($P(DPT0,U),1,18)_" ("_X_")"
"RTN","IBOTR2",126,0)
 Q $E($P(DPT0,U),1,16)_" ("_X_")"
"RTN","IBOTR2",127,0)
 ;
"RTN","IBOTR2",128,0)
PTIN(IBDA) ; Retrieve Payer TIN for insurance company
"RTN","IBOTR2",129,0)
 ;
"RTN","IBOTR2",130,0)
 ; IBDA is the IEN of the bill # in file #399 and must be valid
"RTN","IBOTR2",131,0)
 N IBTIN,IBVAL,Z
"RTN","IBOTR2",132,0)
 S IBTIN="",Z=""
"RTN","IBOTR2",133,0)
 I '$G(IBDA) Q IBTIN
"RTN","IBOTR2",134,0)
 S Z=$O(^IBM(361.1,"B",IBDA,Z))
"RTN","IBOTR2",135,0)
 Q:'Z IBTIN
"RTN","IBOTR2",136,0)
 S IBVAL=$G(^IBM(361.1,Z,0))
"RTN","IBOTR2",137,0)
 S IBTIN=$P(IBVAL,"^",3)
"RTN","IBOTR2",138,0)
 Q IBTIN  ; Quit with Payer TIN, if it was sent with the ERA
"RTN","IBOTR2",139,0)
         
"RTN","IBOTR3")
0^3^B51512170
"RTN","IBOTR3",1,0)
IBOTR3   ;ALB/CPM - INSURANCE PAYMENT TREND REPORT - OUTPUT ;5-JUN-91
"RTN","IBOTR3",2,0)
 ;;2.0;INTEGRATED BILLING;**42,80,100,118,128,133,447,516,528**;21-MAR-94;Build 33
"RTN","IBOTR3",3,0)
 ;;Per VA Directive 6402, this routine should not be modified.
"RTN","IBOTR3",4,0)
 ;
"RTN","IBOTR3",5,0)
 ;MAP TO DGCROTR3
"RTN","IBOTR3",6,0)
 ;
"RTN","IBOTR3",7,0)
EN(IBDIV) ; - Entry point from IBOTR2.
"RTN","IBOTR3",8,0)
 ;
"RTN","IBOTR3",9,0)
 ; - Extract zero totals if no data available.
"RTN","IBOTR3",10,0)
 I $G(IBXTRACT),'$D(^TMP($J,"IBOTR",IBDIV)) D  G END
"RTN","IBOTR3",11,0)
 .S IBUNPD=0 F X=1:1:8 S IBTT(X)=0
"RTN","IBOTR3",12,0)
 .D E^IBJDE(8,0)
"RTN","IBOTR3",13,0)
 ;
"RTN","IBOTR3",14,0)
 I $G(IBXTRACT) G IBX ; Calculate grand totals for extract.
"RTN","IBOTR3",15,0)
 ;
"RTN","IBOTR3",16,0)
 S IBPAG=0,IBLINE="",$P(IBLINE,"-",IOM)="-",Y=DT D D^DIQ S IBTDT=Y
"RTN","IBOTR3",17,0)
 I $D(IBAF) D ADDFLD^IBOTR4
"RTN","IBOTR3",18,0)
 I '$D(^TMP($J,"IBOTR",IBDIV)) D  S IBCALC=3 D PAUSE G END
"RTN","IBOTR3",19,0)
 .S IBX=$S("Bb"'[IBBRT:IBBRT,IBBRN="C":"A",1:"I")
"RTN","IBOTR3",20,0)
 .D HDR W !!,"  NO INFORMATION MATCHES SELECTION CRITERIA."
"RTN","IBOTR3",21,0)
 ;
"RTN","IBOTR3",22,0)
IBX      S IBX="" F  S IBX=$O(^TMP($J,"IBOTR",IBDIV,IBX)) Q:IBX=""  D  Q:IBQUIT
"RTN","IBOTR3",23,0)
 .I IBPRNT'="G"!('$G(IBG)) S IBTT="0^0^0^0^0^0^0^0^0^0"
"RTN","IBOTR3",24,0)
 .I IBOUT="E" D EXCHDR
"RTN","IBOTR3",25,0)
 .I IBOUT="R" D:'$G(IBXTRACT) HDR Q:IBQUIT
"RTN","IBOTR3",26,0)
 .D INS
"RTN","IBOTR3",27,0)
 ;
"RTN","IBOTR3",28,0)
END      K IBINS,IBPAG,IBLINE,IBTDT,IBX,IBTT,IBTI,IBCALC,IBBN,IBD,IBDS,IBAFT
"RTN","IBOTR3",29,0)
 K IBAMT,IBG,IBI,IBPERC,IBUNPD,X,X1,X2,IBGRP,IBOUT,STOP
"RTN","IBOTR3",30,0)
 Q
"RTN","IBOTR3",31,0)
 ;
"RTN","IBOTR3",32,0)
INS      ; - Loop through each insurance company or amount.
"RTN","IBOTR3",33,0)
 I IBSORT="I" D
"RTN","IBOTR3",34,0)
 .S IBINS="" F  S IBINS=$O(^TMP($J,"IBOTR",IBDIV,IBX,IBINS)) Q:IBINS=""  D BILLNO Q:IBQUIT
"RTN","IBOTR3",35,0)
 I IBSORT'="I" D
"RTN","IBOTR3",36,0)
 .S IBAMT="" F  S IBAMT=$O(^TMP($J,"IBOTRS",IBDIV,IBX,IBAMT)) Q:IBAMT=""  S IBINS="" F  S IBINS=$O(^TMP($J,"IBOTRS",IBDIV,IBX,IBAMT,IBINS)) Q:IBINS=""!(IBQUIT)  D BILLNO Q:IBQUIT
"RTN","IBOTR3",37,0)
 ;
"RTN","IBOTR3",38,0)
 ; - Extract grand totals data.
"RTN","IBOTR3",39,0)
 I $G(IBXTRACT),'IBQUIT D  Q
"RTN","IBOTR3",40,0)
 .S IBUNPD=$J($P(IBTT,U,2)-$P(IBTT,U,5),0,2)
"RTN","IBOTR3",41,0)
 .F X=1:1:8 S IBTT(X)=$S(19'[X:$J($P(IBTT,U,X),0,2),1:$P(IBTT,U,X))
"RTN","IBOTR3",42,0)
 .D E^IBJDE(8,0)
"RTN","IBOTR3",43,0)
 ;
"RTN","IBOTR3",44,0)
 I 'IBQUIT,'$G(IBG),IBOUT="R" D GTOT^IBOTR4 ; Write grand totals for report.
"RTN","IBOTR3",45,0)
 Q
"RTN","IBOTR3",46,0)
 ;
"RTN","IBOTR3",47,0)
BILLNO   ; - Loop through all bills for an insurance company.
"RTN","IBOTR3",48,0)
 I $G(IBXTRACT) G LOOP
"RTN","IBOTR3",49,0)
 I IBOUT="E" S INSC=$P(IBINS,"@@") G LOOP
"RTN","IBOTR3",50,0)
 I $Y>(IOSL-15) S IBCALC=15 D PAUSE Q:IBQUIT  D HDR Q:IBQUIT
"RTN","IBOTR3",51,0)
 I IBPRNT'="G" S IBDS=0,IBTI="0^0^0^0" D INSADD
"RTN","IBOTR3",52,0)
 E  I $G(IBG) S IBTT="0^0^0^0^0^0^0^0^0^0" D INSADD
"RTN","IBOTR3",53,0)
LOOP     ; add group# for p447 
"RTN","IBOTR3",54,0)
 ;S IBBN="" F  S IBBN=$O(^TMP($J,"IBOTR",IBDIV,IBX,IBINS,IBBN)) Q:IBBN=""  S IBD=^(IBBN) D DETAIL Q:IBQUIT
"RTN","IBOTR3",55,0)
 S IBGRP="" F  S IBGRP=$O(^TMP($J,"IBOTR",IBDIV,IBX,IBINS,IBGRP)) Q:IBGRP=""!(IBQUIT)  D
"RTN","IBOTR3",56,0)
 . I IBOUT="E",IBGRP'="" S IBGRP=$S(IBGRP'=0:$$GET1^DIQ(355.3,IBGRP_",",2.02),1:"None Defined")
"RTN","IBOTR3",57,0)
 . ; IB*2.0*516/TAZ Print the actual group number instead of internal group number.
"RTN","IBOTR3",58,0)
 .;I IBPRNT="M" W !!,"Group #"_$S(IBGRP'=0:IBGRP,1:":  None Defined")
"RTN","IBOTR3",59,0)
 . I IBOUT="R" I IBPRNT="M" W !!,"Group #: "_$S(IBGRP'=0:$$GET1^DIQ(355.3,IBGRP_",",2.02),1:"None Defined")
"RTN","IBOTR3",60,0)
 . ;
"RTN","IBOTR3",61,0)
 .S IBBN="" F  S IBBN=$O(^TMP($J,"IBOTR",IBDIV,IBX,IBINS,IBGRP,IBBN)) Q:IBBN=""  S IBD=^(IBBN) D DETAIL Q:IBQUIT
"RTN","IBOTR3",62,0)
 I IBOUT="E" Q
"RTN","IBOTR3",63,0)
 I 'IBQUIT,IBOUT="R" D
"RTN","IBOTR3",64,0)
 .I IBPRNT'="G" D SUBTOT^IBOTR4 ; Write insurance co. sub-totals.
"RTN","IBOTR3",65,0)
 .E  D:$G(IBG) GTOT^IBOTR4 ;      Write insurance co. grand totals.
"RTN","IBOTR3",66,0)
 Q
"RTN","IBOTR3",67,0)
 ;
"RTN","IBOTR3",68,0)
DETAIL   ; - Write out detail lines.
"RTN","IBOTR3",69,0)
 N IBPEN S IBPEN=$S($P(IBBN,"@@",2)["*":0,1:$P(IBD,U,6)-$P(IBD,U,7))
"RTN","IBOTR3",70,0)
 I IBOUT="E" D EXOUT Q
"RTN","IBOTR3",71,0)
 G:IBPRNT="S" SUBTOT G:IBPRNT="G" GNDTOT
"RTN","IBOTR3",72,0)
 I $Y>(IOSL-7) S IBCALC=7 D PAUSE Q:IBQUIT  D HDR Q:IBQUIT  D INSADD
"RTN","IBOTR3",73,0)
 ;W !,$P(IBBN,"@@",2),?10,$P(IBBN,"@@"),?34,$$DATE($P(IBD,U,2))
"RTN","IBOTR3",74,0)
 W !,$P(IBBN,"@@",2),?13,$P(IBBN,"@@"),?35,$$DATE($P(IBD,U,2))
"RTN","IBOTR3",75,0)
 W ?44,$$DATE($P(IBD,U,3)),?54,$$DATE($P(IBD,U,4))
"RTN","IBOTR3",76,0)
 W ?64,$S($P(IBD,U,5):$$DATE($P(IBD,U,5)),1:$P(IBD,U,5))
"RTN","IBOTR3",77,0)
 S X1=$S($P(IBD,U,5):$P(IBD,U,5),1:DT),X2=$P(IBD,U,4) D ^%DTC S IBDS=IBDS+X
"RTN","IBOTR3",78,0)
 W ?74,$J(X,4),?79,$J($P(IBD,U,6),11,2),?91,$J($P(IBD,U,7),10,2)
"RTN","IBOTR3",79,0)
 W ?102,$J($P(IBD,U,6)-$P(IBD,U,7),11,2),?114,$J(IBPEN,11,2)
"RTN","IBOTR3",80,0)
 W ?126,$J($S(+$P(IBD,U,6)=0:0,1:$P(IBD,U,7)/$P(IBD,U,6)*100),6,2)
"RTN","IBOTR3",81,0)
 ;
"RTN","IBOTR3",82,0)
SUBTOT   ; - Update sub-totals.
"RTN","IBOTR3",83,0)
 S $P(IBTI,U)=$P(IBTI,U)+1,$P(IBTI,U,2)=$P(IBTI,U,2)+$P(IBD,U,6)
"RTN","IBOTR3",84,0)
 S $P(IBTI,U,3)=$P(IBTI,U,3)+$P(IBD,U,7),$P(IBTI,U,4)=$P(IBTI,U,4)+IBPEN
"RTN","IBOTR3",85,0)
 ;
"RTN","IBOTR3",86,0)
GNDTOT   ; - Update grand totals.
"RTN","IBOTR3",87,0)
 S $P(IBTT,U)=$P(IBTT,U)+1,$P(IBTT,U,2)=$P(IBTT,U,2)+$P(IBD,U,6)
"RTN","IBOTR3",88,0)
 I +$P($P(IBBN,"@@"),"(",2)<65 S $P(IBTT,U,3)=$P(IBTT,U,3)+$P(IBD,U,6),$P(IBTT,U,6)=$P(IBTT,U,6)+$P(IBD,U,7)
"RTN","IBOTR3",89,0)
 E  S $P(IBTT,U,4)=$P(IBTT,U,4)+$P(IBD,U,6),$P(IBTT,U,7)=$P(IBTT,U,7)+$P(IBD,U,7)
"RTN","IBOTR3",90,0)
 S $P(IBTT,U,5)=$P(IBTT,U,5)+$P(IBD,U,7),$P(IBTT,U,8)=$P(IBTT,U,8)+IBPEN
"RTN","IBOTR3",91,0)
 I $G(IBCANC),$P(IBD,U,8) S $P(IBTT,U,9)=$P(IBTT,U,9)+1,$P(IBTT,U,10)=$P(IBTT,U,10)+$P(IBD,U,6)
"RTN","IBOTR3",92,0)
 Q
"RTN","IBOTR3",93,0)
 ;
"RTN","IBOTR3",94,0)
HDR      ; - Print the report header.
"RTN","IBOTR3",95,0)
 S IBPAG=IBPAG+1 W @IOF,IBRTN," PAYMENT TREND REPORT - "
"RTN","IBOTR3",96,0)
 W $S(IBX="I":"INPATIENT",IBX="O":"OUTPATIENT",1:"COMBINED INPATIENT AND OUTPATIENT")," BILLING"
"RTN","IBOTR3",97,0)
 W ?109,IBTDT,"   PAGE ",$J(IBPAG,3),!
"RTN","IBOTR3",98,0)
 I IBDIV W "For: ",$P($G(^DG(40.8,IBDIV,0)),U)," - "
"RTN","IBOTR3",99,0)
 W IBDFN,": ",$$DATE(IBBDT)," - ",$$DATE(IBEDT)
"RTN","IBOTR3",100,0)
 I IBPRNT="M" W ?82,"Note: '*' after the Bill No. denotes a CLOSED bill"
"RTN","IBOTR3",101,0)
 W:$D(IBAF) !,IBAFT G:IBPRNT="G" HDL
"RTN","IBOTR3",102,0)
 ;W !!,"BILL",?10,"PATIENT",?55,"DATE",?64,"DATE BILL",?75,"#"
"RTN","IBOTR3",103,0)
 W !!,"BILL",?13,"PATIENT",?55,"DATE",?64,"DATE BILL",?75,"#"
"RTN","IBOTR3",104,0)
 W ?83,"AMOUNT",?93,"AMOUNT",?106,"AMOUNT",?117,"AMOUNT",?127,"PERC"
"RTN","IBOTR3",105,0)
 ;W !,"NUMBER",?10,"NAME (AGE)",?34,"BILL FROM  -  TO",?54,"PRINTED"
"RTN","IBOTR3",106,0)
 W !,"NUMBER",?13,"NAME (AGE)",?35,"BILL FROM  -  TO",?54,"PRINTED"
"RTN","IBOTR3",107,0)
 W ?65,"CLOSED",?74,"DAYS",?83,"BILLED",?92,"COLLECTED",?106,"UNPAID"
"RTN","IBOTR3",108,0)
 W ?117,"PENDING",?127,"COLL"
"RTN","IBOTR3",109,0)
HDL      W !,IBLINE
"RTN","IBOTR3",110,0)
 I IBPRNT="M" W !?56,"M A I N  R E P O R T"
"RTN","IBOTR3",111,0)
 I IBPRNT="G" W !?55,"G R A N D  T O T A L S",!
"RTN","IBOTR3",112,0)
 I IBPRNT="S" W !?49,"S U M M A R Y  S T A T I S T I C S"
"RTN","IBOTR3",113,0)
 I "OP"[IBSORT W !?30,"S O R T E D  B Y  A M O U N T  ",$S(IBSORT="O":"O W E",1:"P A I")," D - H I G H E S T  T O  L O W E S T"
"RTN","IBOTR3",114,0)
 S IBQUIT=$$STOP^IBOUTL("Trend Report")
"RTN","IBOTR3",115,0)
 Q
"RTN","IBOTR3",116,0)
 ;
"RTN","IBOTR3",117,0)
EXCHDR   ;
"RTN","IBOTR3",118,0)
 W !,"PAYMENT TREND REPORT"
"RTN","IBOTR3",119,0)
 W !,$S(IBX="I":"INPATIENT",IBX="O":"OUTPATIENT",1:"COMBINED INPATIENT AND OUTPATIENT")," BILLING"
"RTN","IBOTR3",120,0)
 I IBDIV W !,"For: ",$P($G(^DG(40.8,IBDIV,0)),U)
"RTN","IBOTR3",121,0)
 W !,IBDFN,": ",$$DATE(IBBDT)," - ",$$DATE(IBEDT)
"RTN","IBOTR3",122,0)
 I IBPRNT="M" W !,"Note: '*' after the Bill No. denotes a CLOSED bill"
"RTN","IBOTR3",123,0)
 I IBPRNT="M" W !,"M A I N  R E P O R T"
"RTN","IBOTR3",124,0)
 I IBPRNT="G" W !,"G R A N D  T O T A L S",!
"RTN","IBOTR3",125,0)
 I IBPRNT="S" W !,"S U M M A R Y  S T A T I S T I C S"
"RTN","IBOTR3",126,0)
 I "OP"[IBSORT W !,"S O R T E D  B Y  A M O U N T  ",$S(IBSORT="O":"O W E",1:"P A I")," D - H I G H E S T  T O  L O W E S T"
"RTN","IBOTR3",127,0)
 W:$D(IBAF) !,IBAFT G:IBPRNT="G" EXHDL
"RTN","IBOTR3",128,0)
 W !,"INSURANCE NAME^GROUP #^BILL NUMBER^PATIENT NAME (AGE)^BILL FROM^DATE BILL TO^DATE PRINTED^DATE BILL CLOSED^# DAYS^AMOUNT BILLED^AMOUNT COLLECTED^AMOUNT UNPAID^AMOUNT PENDING^PERC COLL"
"RTN","IBOTR3",129,0)
EXHDL    ;
"RTN","IBOTR3",130,0)
 Q
"RTN","IBOTR3",131,0)
 ;
"RTN","IBOTR3",132,0)
EXOUT    ; Print excell format
"RTN","IBOTR3",133,0)
 W !,INSC_U_$P(IBBN,"@@",2)_U_$P(IBBN,"@@")_U_$$DATE($P(IBD,U,2))_U_$$DATE($P(IBD,U,3))_U_$$DATE($P(IBD,U,4))
"RTN","IBOTR3",134,0)
 W U_$S($P(IBD,U,5):$$DATE($P(IBD,U,5)),1:$P(IBD,U,5))
"RTN","IBOTR3",135,0)
 S X1=$S($P(IBD,U,5):$P(IBD,U,5),1:DT),X2=$P(IBD,U,4) D ^%DTC S IBDS=IBDS+X
"RTN","IBOTR3",136,0)
 W U_$J(X,4)_U_$J($P(IBD,U,6),11,2)_U_$J($P(IBD,U,7),10,2)
"RTN","IBOTR3",137,0)
 W U_$J($P(IBD,U,6)-$P(IBD,U,7),11,2)_U_$J(IBPEN,11,2)
"RTN","IBOTR3",138,0)
 W U_$J($S(+$P(IBD,U,6)=0:0,1:$P(IBD,U,7)/$P(IBD,U,6)*100),6,2)
"RTN","IBOTR3",139,0)
 Q
"RTN","IBOTR3",140,0)
 ;
"RTN","IBOTR3",141,0)
DATE(IBX) S:IBX]"" IBX=$E(IBX,4,5)_"/"_$E(IBX,6,7)_"/"_$E(IBX,2,3) Q IBX
"RTN","IBOTR3",142,0)
 ;
"RTN","IBOTR3",143,0)
PAUSE    I $E(IOST,1,2)'="C-" Q
"RTN","IBOTR3",144,0)
 I IOSL<60 F IBI=$Y:1:(IOSL-IBCALC) W !
"RTN","IBOTR3",145,0)
 S DIR(0)="E" D ^DIR K DIR
"RTN","IBOTR3",146,0)
 I $D(DIRUT)!($D(DUOUT)) S IBQUIT=1 K DIRUT,DTOUT,DUOUT
"RTN","IBOTR3",147,0)
 Q
"RTN","IBOTR3",148,0)
 ;
"RTN","IBOTR3",149,0)
INSADD   ; - Display Insurance Company name and address.
"RTN","IBOTR3",150,0)
 ; Input: IBINS
"RTN","IBOTR3",151,0)
 N D,PH,IEN
"RTN","IBOTR3",152,0)
 W !!?16,"INSURANCE CARRIER: ",$P(IBINS,"@@")
"RTN","IBOTR3",153,0)
 S IEN=$P(IBINS,"@@",2) G:'IEN INSADQ
"RTN","IBOTR3",154,0)
 S D=$G(^DIC(36,IEN,.11)),PH=$P($G(^(.13)),U) G:D="" INSADQ
"RTN","IBOTR3",155,0)
 W:$P(D,U)]"" !?35,$P(D,U)
"RTN","IBOTR3",156,0)
 W:$P(D,U,2)]"" !?35,$P(D,U,2)
"RTN","IBOTR3",157,0)
 W:$P(D,U,3)]"" !?35,$P(D,U,3)
"RTN","IBOTR3",158,0)
 W:$P(D,U)]""!($P(D,U,2)]"")!($P(D,U,3)]"") !?35
"RTN","IBOTR3",159,0)
 W $P(D,U,4) W:$P(D,U,4)]""&($P(D,U,5)]"") ", "
"RTN","IBOTR3",160,0)
 W $P($G(^DIC(5,+$P(D,U,5),0)),U)
"RTN","IBOTR3",161,0)
 W:$P(D,U,6)]""&($P(D,U,4)]""!($P(D,U,5)]"")) "   "
"RTN","IBOTR3",162,0)
 W $P(D,U,6) W:PH]"" $J("",8),"Phone: ",PH
"RTN","IBOTR3",163,0)
INSADQ   W ! Q
"VER")
8.0^22.0
"^DD",364.1,364.1,1.01,0)
DATE FIRST SENT^DX^^1;1^S %DT="ETX" D ^%DT S X=Y K:Y<1 X I $D(X) S X=$E(X,1,12)
"^DD",364.1,364.1,1.01,1,0)
^.1
"^DD",364.1,364.1,1.01,1,1,0)
^^TRIGGER^364.1^1.03
"^DD",364.1,364.1,1.01,1,1,1)
K DIV S DIV=X,D0=DA,DIV(0)=D0 S Y(0)=X S Y(1)=$S($D(^IBA(364.1,D0,1)):^(1),1:"") S X=$P(Y(1),U,3)="" I X S X=DIV S Y(1)=$S($D(^IBA(364.1,D0,1)):^(1),1:"") S X=$P(Y(1),U,3),X=X S DIU=X K Y S X=DIV S X=DIV X ^DD(364.1,1.01,1,1,1.4)
"^DD",364.1,364.1,1.01,1,1,1.4)
S DIH=$S($D(^IBA(364.1,DIV(0),1)):^(1),1:""),DIV=X S $P(^(1),U,3)=DIV,DIH=364.1,DIG=1.03 D ^DICR:$O(^DD(DIH,DIG,1,0))>0
"^DD",364.1,364.1,1.01,1,1,2)
K DIV S DIV=X,D0=DA,DIV(0)=D0 S Y(1)=$S($D(^IBA(364.1,D0,1)):^(1),1:"") S X=$P(Y(1),U,3),X=X S DIU=X K Y S X="" X ^DD(364.1,1.01,1,1,2.4)
"^DD",364.1,364.1,1.01,1,1,2.4)
S DIH=$S($D(^IBA(364.1,DIV(0),1)):^(1),1:""),DIV=X S $P(^(1),U,3)=DIV,DIH=364.1,DIG=1.03 D ^DICR:$O(^DD(DIH,DIG,1,0))>0
"^DD",364.1,364.1,1.01,1,1,"CREATE CONDITION")
DATE LAST SENT=""
"^DD",364.1,364.1,1.01,1,1,"CREATE VALUE")
DATE FIRST SENT
"^DD",364.1,364.1,1.01,1,1,"DELETE VALUE")
@
"^DD",364.1,364.1,1.01,1,1,"FIELD")
DATE LAST SENT
"^DD",364.1,364.1,1.01,1,2,0)
364.1^FDATE
"^DD",364.1,364.1,1.01,1,2,1)
S ^IBA(364.1,"FDATE",$E(X,1,30),DA)=""
"^DD",364.1,364.1,1.01,1,2,2)
K ^IBA(364.1,"FDATE",$E(X,1,30),DA)
"^DD",364.1,364.1,1.01,1,2,"%D",0)
^^2^2^3150714^
"^DD",364.1,364.1,1.01,1,2,"%D",1,0)
This index allows for the searching of batches by the date that they were 
"^DD",364.1,364.1,1.01,1,2,"%D",2,0)
first sent to FMS.
"^DD",364.1,364.1,1.01,1,2,"DT")
3150714
"^DD",364.1,364.1,1.01,3)
Enter the first date/time that the batch was transmitted.
"^DD",364.1,364.1,1.01,21,0)
^^1^1^2960212^
"^DD",364.1,364.1,1.01,21,1,0)
This is the date/time that this batch was first transmitted.
"^DD",364.1,364.1,1.01,"DT")
3150714
**END**
**END**


